DROP VIEW V_KUPCI_ACTIVITY;

CREATE OR REPLACE VIEW V_KUPCI_ACTIVITY AS (
SELECT KA.ID_KUPCI_ACTIVITY, K.ID AS KUPCI_ID, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER, K.MANAGER AS KUPCI_MANAGER, 
K.VRSTA AS KUPCI_VRSTA, K.NDRZAVA AS KUPCI_NDRZAVA, K.KODA_JEZIKA AS KUPCI_KODA_JEZIKA,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
A.ID_ACTIVITY AS ID_ACTIVITY, A.DATE_FROM AS ACTIVITY_DATE_FROM, A.DATE_TO AS ACTIVITY_DATE_TO, A.ACTIVITY_TYPE, A.DESCRIPTION AS ACTIVITY_DESCRIPTION, A.STATUS AS ACTIVITY_STATUS,
A.DATE_CREATED AS ACTIVITY_DATE_CREATED, A.USER_CREATED AS ACTIVITY_USER_CREATED, A.DATE_CHANGED AS ACTIVITY_DATE_CHANGED, A.USER_CHANGED AS ACTIVITY_USER_CHANGED, A.COMPLETED AS ACTIVITY_COMPLETED, 
A.AUTO_CREATE AS ACTIVITY_AUTO_CREATE, A.SOURCE AS ACTIVITY_SOURCE, AT.OPIS AS ACTIVITY_TYPE_OPIS, AT.INTERNI_OPIS AS ACTIVITY_TYPE_INTERNI_OPIS, AT.AKT AS ACTIVITY_TYPE_AKT,
(CASE WHEN EXISTS (SELECT ID_ALARM FROM ALARM_DATA WHERE ASOCIATED_TABLE = 'ACTIVITY' AND ASOCIATED_DATA = A.ID_ACTIVITY)
OR EXISTS (SELECT ID_ALARM FROM ALARM_HISTORY WHERE ASOCIATED_TABLE = 'ACTIVITY' AND ASOCIATED_DATA = A.ID_ACTIVITY)  THEN 'Y' ELSE 'N' END) AS ALARM
FROM KUPCI_ACTIVITY KA
JOIN KUPCI K ON K.ID = KA.ID_KUPCA
JOIN ACTIVITY A ON A.ID_ACTIVITY = KA.ID_ACTIVITY
LEFT OUTER JOIN NNACTIVITY_TYPE AT ON AT.ID_NNACTIVITY_TYPE = A.ACTIVITY_TYPE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2225, SYSDATE, '5.5', 2145, 'VKupciActivity')
;
